## MxGtkLightSwitch MxGtkLightSwitch — a toggle switch between two states |

## Synopsis

                        MxGtkLightSwitch;
                        MxGtkLightSwitchClass;
    gboolean            mx_gtk_light_switch_get_active      (MxGtkLightSwitch *lightswitch);
    GtkWidget *         mx_gtk_light_switch_new             (void);
    void                mx_gtk_light_switch_set_active      (MxGtkLightSwitch *lightswitch,
                                                             gboolean active);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkDrawingArea
                               +----MxGtkLightSwitch

## Implemented Interfaces

MxGtkLightSwitch implements AtkImplementorIface and GtkBuildable.

## Properties

      "active"                   gboolean              : Read / Write

## Signals

      "switch-flipped"                                 : Run First

## Description

A visual representation of a toggle switch that can move between two states.

## Details

### MxGtkLightSwitch

    typedef struct _MxGtkLightSwitch MxGtkLightSwitch;

The contents of this structure are private and should only be accessed through the public API.

### MxGtkLightSwitchClass

    typedef struct {
      GtkDrawingAreaClass parent_class;

      void (*switch_flipped) (MxGtkLightSwitch *lightswitch, gboolean state);
    } MxGtkLightSwitchClass;

### mx_gtk_light_switch_get_active ()

    gboolean            mx_gtk_light_switch_get_active      (MxGtkLightSwitch *lightswitch);

Get the value of the "active" property

`lightswitch` : | A MxGtkLightSwitch
Returns : | TRUE if the switch is "on"

### mx_gtk_light_switch_new ()

    GtkWidget *         mx_gtk_light_switch_new             (void);

Create a MxGtkLightSwitch

Returns : | a newly allocated MxGtkLightSwitch

### mx_gtk_light_switch_set_active ()

    void                mx_gtk_light_switch_set_active      (MxGtkLightSwitch *lightswitch,
                                                             gboolean active);

Set the value of the "active" property

`lightswitch` : | A MxGtkLightSwitch
`active` : | TRUE to set the switch to its ON state

## Property Details

### The `"active"` property

      "active"                   gboolean              : Read / Write

Is the light switch on or not.

Default value: FALSE

## Signal Details

### The `"switch-flipped"` signal

    void                user_function                      (MxGtkLightSwitch *mxgtklightswitch,
                                                            gboolean          arg1,
                                                            gpointer          user_data)             : Run First